Bug 188217 - CFS directory doesn't cattach with correct password on x86_64
CFS directory doesn't cattach with correct password on x86_64
Product: Fedora
Classification: Fedora
Component: cfs (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-06 22:16 EDT by Paul Wayper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-04 07:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
SELinux policy to mount the local NFS socket for CFS. (217 bytes, application/octet-stream)
2006-06-04 22:20 EDT, Paul Wayper
no flags Details

  None (edit)
Description Paul Wayper 2006-04-06 22:16:50 EDT
Description of problem:
CFS directories that are newly created, and ones that have previously worked on
i386 systems, do not unlock using the cattach command even when given the
correct password.

Version-Release number of selected component (if applicable):
1.4.1-7.fc5 and earlier

How reproducible:
Always on x86_64 systems

Steps to Reproduce:
1. Make a new CFS directory: 'cmkdir test'
2. Use a guaranteed reproducible phrase - e.g. 'echo abcdefghijklmnopqrst' and
use copy and paste in the terminal - to supply the same passphrase twice to the
cmkdir command.
3. Try attaching to this CFS directory: 'cattach test'

Actual results:
'cattach: incorrect passphrase'

Expected results:
No error from cattach and test directory shows up in secure mount directory
(e.g. /mnt/crypt).

Additional info:
I've also tried this with directories I've copied from my previous Athlon 32-bit
system; they won't cattach on the x86_64 system but, when the entire CFS
directory is copied back to the i386 system, they are still accessible.  In this
way this is similar to bug 173037
Comment 1 Enrico Scholz 2006-06-03 08:25:25 EDT
cfs was/is written in K&R C which does not support prototypes. On AMD64 which
has sizeof(int) != sizeof(void *), this will cause every kind of problems.

I added a patch to the -devel branch of Fedora Extras which should fix these
issues. Can you test this version please? I do not have an AMD64 system where I
can test it.

[Because the patch is non-trivial, it is for -devel only ATM. So you have
probably to rebuild the package for FC5]
Comment 2 Paul Wayper 2006-06-04 22:17:52 EDT
Is this the 1.4.1-9.fc6 package in the FC5 extras development repository?  I've
tried that and it still has the same error.  If not, could you give me a bit
more information about what to download?  I'm not as familiar with the Extras
development branch as you are, sorry :-)

Also, if there's a way to turn on debugging or something that allows me to give
you more information about what's going on on my system, I'd be happy to oblige.
Comment 3 Paul Wayper 2006-06-04 22:20:24 EDT
Created attachment 130467 [details]
SELinux policy to mount the local NFS socket for CFS.
Comment 4 Enrico Scholz 2007-02-04 07:16:08 EST
sorry, closing bug as wont-fix. CFS is discontinued.

Note You need to log in before you can comment on or make changes to this bug.